> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# FreetextCount

> Archive provider for counts of freetext matches

## "FreetextCount"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.FreetextCountProvider">SuperOffice.CRM.ArchiveLists.FreetextCountProvider</see> inside NetServer's SODatabase assembly.

Archive provider for counts of freetext matches

The purpose if this provider is to provide simple counts of matches, grouped by owning entity. In the GUI,
this corresponds to the tabs in the freetext search result dialog, and the numbers on those tabs. To
get actual matches for a particular entity, use the corresponding FreetextSearchProvider, for instance,
the <see cref="T:SuperOffice.CRM.ArchiveLists.FreetextContactResultProvider" />.

The 'OwnerEntityName' column accepts a restriction in the form of an array of strings or table names. If
provided, this restriction will limit the entities searched. The <see cref="T:SuperOffice.CRM.Lists.FreetextSearchEntityProvider" />
is an MDO provider for supported entities.

## Supported Entities

| Name            | Description       |
| --------------- | ----------------- |
| "freetextcount" | Number of matches |

## Supported Columns

| Name                | Restriction | Description                                                   | OrderBy |
| ------------------- | ----------- | ------------------------------------------------------------- | ------- |
| ownerEntityName     | listAny     | Owner: Owner (type) of freetext match                         | x       |
| count               | *None*      | Count: Number of matches for a certain owner entity           | x       |
| entityLocalizedName | *None*      | Owner: Owner of freetext match                                | x       |
| searchwords         | string      | Search word: One or more words to be used in free text search |         |

## Sample

```http! theme={null}
GET /api/v1/archive/FreetextCount?$select=count,entityLocalizedName
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [FreetextAppointment](/en/api/archive-providers/reference/freetextappointment.md)
- [FreetextPerson](/en/api/archive-providers/reference/freetextperson.md)
- [FreetextContact](/en/api/archive-providers/reference/freetextcontact.md)
- [SuperOffice.WebApi.Data.FreeText](/en/api/reference/webapi/SuperOffice.WebApi.Data.FreeText.md)
- [FreetextSale](/en/api/archive-providers/reference/freetextsale.md)
- [FreetextDocument](/en/api/archive-providers/reference/freetextdocument.md)
